QueryEvaluationConfiguration
Keywords: uk.ac.ic.doc.automed.qproc.eval.QueryEvaluationConfiguration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc.eval
Class QueryEvaluationConfiguration

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
          uk.ac.ic.doc.automed.qproc.eval.QueryEvaluationConfiguration

    public class QueryEvaluationConfiguration

extends QueryProcessorConfiguration

QueryEvaluationConfiguration.java Define configuration settings for query evaluation

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 01 August 2006 Department of Computing, Imperial College

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
`QUERY_LANGUAGE_IQL, QUERY_LANGUAGE_XQUERY, RANGE_BOTH, RANGE_LOWER, RANGE_UPPER, REFORMULATION_BAV, REFORMULATION_GAV, REFORMULATION_LAV_INV_RULES`

Constructor Summary
`QueryEvaluationConfiguration()` Creates a new instance of QueryEvaluationConfiguration
`QueryEvaluationConfiguration(QualityIndicator qi)`

Method Summary
`CachePolicy` | `getCachePolicy()` Accepts a list of input conditions and return the action
`void` | `setCachePolicy(CachePolicy pol)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.QueryProcessorConfiguration
`addFunctionTable, addFunctionTable, getAnnotator, getCacheStatus, getDisjointIDs, getEvaluator, getFunctionTable, getFunctionTableString, getOptimisationState, getOptimiser, getQualityIndicator, getQueryEvaluationConfig, getQueryLanguage, getQueryLanguageString, getRangeSemantics, getRangeSemanticsString, getRangeSemanticsString, getReformulationSemantics, getReformulationSemanticsString, getReformulator, getTypeCheckingState, printConfiguration, setAnnotator, setCacheStatus, setDisjointIDs, setEvaluator, setOptimisationState, setOptimiser, setQualityIndicator, setQueryEvaluationConfig, setQueryLanguage, setRangeSemantics, setReformulationSemantics, setReformulator, setTypeCheckingState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryEvaluationConfiguration

    public QueryEvaluationConfiguration()

  Creates a new instance of QueryEvaluationConfiguration

### QueryEvaluationConfiguration

    public QueryEvaluationConfiguration(QualityIndicator qi)

Method Detail

### getCachePolicy

    public CachePolicy getCachePolicy()

  Accepts a list of input conditions and return the action

### setCachePolicy

    public void setCachePolicy(CachePolicy pol)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD